Trellis Data Logo
Developers Doc

Getting Started

Set up your API key and make your first request to the Agentaus API.

API Features

Agentaus API is compatible with OpenAI's chat completions API.

Full REST API access
GETPOST200
Unlimited API key generation
sk-live-a91f
sk-live-7c02
sk-live-e5d8
sk-live-2b46
sk-live-a91f
sk-live-7c02
sk-live-e5d8
sk-live-2b46
Pay as you go with credits
4credits+1

Quickstart

1

Navigate to 'API Keys' in the sidebar under 'Agentaus API', then click 'Generate API Key' to obtain your first API Key.

2

For this quickstart we will put your key in an environment variable. We recommend using a secrets manager to store and protect your API keys:

sh
export AGENTAUS_API_KEY="your key goes here"
3

Submit a chat completion request to the API:

sh
curl -X POST https://xy-test.trellisdata.com.au/api/v1/chat/completions \
  -H "Authorization: Bearer $AGENTAUS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"messages": [{"role": "user", "content": "Hello"}], "stream": false}'
4

You will receive output similar to this:

json
{
  "choices": [
    {
      "finish_reason": "stop",
      "index": 0,
      "logprobs": null,
      "message": {
        "content": "Hello! How can I assist you today?",
        "refusal": null,
        "role": "assistant",
        "tool_calls": []
      }
    }
  ],
  "created": 1781059264,
  "id": "chatcmpl-1781059264",
  "model": "agentaus",
  "object": "chat.completion",
  "usage": {
    "input_tokens": 2440,
    "output_tokens": 70
  }
}

Troubleshooting

If you received an Unauthorized message you will need to double-check you have correctly set your API key.

Token / Platform Costs

Model$/MToks (Input)$/MToks (Output)
Agentaus$1.70 AUD$6.70 AUD

Coming Soon

Expanding client supportTool calling is now available for cURL and OpenCode with Agentaus API. Support for other clients such as Hermes Agent and Pi is planned in the future.